# Generated by Django 2.0.5 on 2019-02-18 09:38
from django.db import migrations

from core.migration_scripts import get_device_monitor_integration_configs


def update_device_monitoring_integration_type(apps, schema_editor):
    IntegrationType = apps.get_model("core", "IntegrationType")
    for logic_monitor_integration in IntegrationType.objects.filter(
        name="LOGIC_MONITOR"
    ):
        authentication_config, extra_config = get_device_monitor_integration_configs(
            "LOGIC_MONITOR"
        )

        logic_monitor_integration.authentication_config.update(authentication_config)
        logic_monitor_integration.extra_config.update(extra_config)
        logic_monitor_integration.save()


class Migration(migrations.Migration):
    dependencies = [("core", "0030_auto_20190109_1047")]

    operations = []
    # [migrations.RunPython(update_device_monitoring_integration_type)]
